Subject: [ietf-tls] MISTY1 and CAMELLIA (Re: New AES ciphersuites draft )

From: Hironobu SUZUKI <[email-masked]>
Date: Fri, 24 Nov 2000 21:23:59 +0900

My technical point of view, I don't need Misty1 and Camellia at same
time.  I never mention about license/commercial/political thing.  I
talk only technical thing.

I have thought that Camellia was builded on E2 and MISTY technology.
This is my understanding as bellow.

DES                      New sbox design technique
Liner attack             for chip/hardware
study                  
    ---------->MISTY  -----------------------------> Kasumi
                                                     | sbox design and      
                                                     | simple key schedule 
                                                     V      
  (FEAL ------->)  E2  ---------------------------> Camellia 

        Feistel        AES style key/block length,
        structure      network and pre/post-whiting 
        study          structure technique

If I use/implement Camellia, I never use/implement MISTY1.

PS.
 
I don't need any patented algos any more.

-- 
Hironobu SUZUKI        Independent Software Consultant
E-Mail: [email-masked]
URL: http://h2np.net

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]